# Uses of Class
org.apache.commons.math3.linear.Array2DRowFieldMatrix

Packages that use Array2DRowFieldMatrix
Package
Description
org.apache.commons.math3.linear
Linear algebra support.
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.nonstiff
This package provides classes to solve non-stiff Ordinary Differential Equations problems.

## Uses of Array2DRowFieldMatrix in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that return Array2DRowFieldMatrix
Modifier and Type
Method
Description
`Array2DRowFieldMatrix<T>`
Array2DRowFieldMatrix.`add(Array2DRowFieldMatrix<T> m)`
Add `m` to this matrix.
`Array2DRowFieldMatrix<T>`
Array2DRowFieldMatrix.`multiply(Array2DRowFieldMatrix<T> m)`
Postmultiplying this matrix by `m`.
`Array2DRowFieldMatrix<T>`
Array2DRowFieldMatrix.`subtract(Array2DRowFieldMatrix<T> m)`
Subtract `m` from this matrix.
Methods in org.apache.commons.math3.linear with parameters of type Array2DRowFieldMatrix
Modifier and Type
Method
Description
`Array2DRowFieldMatrix<T>`
Array2DRowFieldMatrix.`add(Array2DRowFieldMatrix<T> m)`
Add `m` to this matrix.
`Array2DRowFieldMatrix<T>`
Array2DRowFieldMatrix.`multiply(Array2DRowFieldMatrix<T> m)`
Postmultiplying this matrix by `m`.
`Array2DRowFieldMatrix<T>`
Array2DRowFieldMatrix.`subtract(Array2DRowFieldMatrix<T> m)`
Subtract `m` from this matrix.

## Uses of Array2DRowFieldMatrix in org.apache.commons.math3.ode

Fields in org.apache.commons.math3.ode declared as Array2DRowFieldMatrix
Modifier and Type
Field
Description
`protected Array2DRowFieldMatrix<T>`
MultistepFieldIntegrator.`nordsieck`
Nordsieck matrix of the higher scaled derivatives.
Methods in org.apache.commons.math3.ode that return Array2DRowFieldMatrix
Modifier and Type
Method
Description
`protected abstract Array2DRowFieldMatrix<T>`
MultistepFieldIntegrator.`initializeHighOrderDerivatives(T h, T[] t, T[][] y, T[][] yDot)`
Initialize the high order scaled derivatives at step start.

## Uses of Array2DRowFieldMatrix in org.apache.commons.math3.ode.nonstiff

Methods in org.apache.commons.math3.ode.nonstiff that return Array2DRowFieldMatrix
Modifier and Type
Method
Description
`protected Array2DRowFieldMatrix<T>`
AdamsFieldIntegrator.`initializeHighOrderDerivatives(T h, T[] t, T[][] y, T[][] yDot)`
Initialize the high order scaled derivatives at step start.
`Array2DRowFieldMatrix<T>`
AdamsNordsieckFieldTransformer.`initializeHighOrderDerivatives(T h, T[] t, T[][] y, T[][] yDot)`
Initialize the high order scaled derivatives at step start.
`Array2DRowFieldMatrix<T>`
AdamsFieldIntegrator.`updateHighOrderDerivativesPhase1(Array2DRowFieldMatrix<T> highOrder)`
Update the high order scaled derivatives for Adams integrators (phase 1).
`Array2DRowFieldMatrix<T>`
AdamsNordsieckFieldTransformer.`updateHighOrderDerivativesPhase1(Array2DRowFieldMatrix<T> highOrder)`
Update the high order scaled derivatives for Adams integrators (phase 1).
Methods in org.apache.commons.math3.ode.nonstiff with parameters of type Array2DRowFieldMatrix
Modifier and Type
Method
Description
`Array2DRowFieldMatrix<T>`
AdamsFieldIntegrator.`updateHighOrderDerivativesPhase1(Array2DRowFieldMatrix<T> highOrder)`
Update the high order scaled derivatives for Adams integrators (phase 1).
`Array2DRowFieldMatrix<T>`
AdamsNordsieckFieldTransformer.`updateHighOrderDerivativesPhase1(Array2DRowFieldMatrix<T> highOrder)`
Update the high order scaled derivatives for Adams integrators (phase 1).
`void`
AdamsFieldIntegrator.`updateHighOrderDerivativesPhase2(T[] start, T[] end, Array2DRowFieldMatrix<T> highOrder)`
Update the high order scaled derivatives Adams integrators (phase 2).
`void`
AdamsNordsieckFieldTransformer.`updateHighOrderDerivativesPhase2(T[] start, T[] end, Array2DRowFieldMatrix<T> highOrder)`
Update the high order scaled derivatives Adams integrators (phase 2).